CC = gcc
CFLAGS = -O -Wall -m32
LIBS = -lm

all: btest 

btest: btest.c bits.c decl.c tests.c getopt.c getopt.h btest.h bits.h
	$(CC) $(CFLAGS) $(LIBS) -o btest bits.c btest.c decl.c tests.c getopt.c

run: btest
	./btest

clean:
	rm -f *.o btest 


